﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Problems.Instances.DataAnalysis.Regression.Matlab.Api.Types {
    public interface IMLVariable<TData> {
        /// <summary>
        /// The name of the Matlab variable.
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// The data of the Matlab variable.
        /// </summary>
        TData Data { get; set; }

        /// <summary>
        /// The Matlab datatype.
        /// </summary>
        MLDatatype Datatype { get; }
    }
}
